DMA_BUF_ATTACH(9)

NAME
dma_buf_attach - Add the device to dma_buf's attachments list; optionally, calls attach of dma_buf_ops to allow device-specific attach functionality

SYNOPSIS

struct dma_buf_attachment * dma_buf_attach(struct dma_buf * dmabuf, struct device * dev);

ARGUMENTS

dmabuf
    [in] buffer to attach device to.

dev
    [in] device to be attached.

DESCRIPTION

Returns struct dma_buf_attachment * for this attachment; returns ERR_PTR on error.

COPYRIGHT